JcaPGPSecretKeyRingCollection
Date: 2016-06-23

org.bouncycastle.openpgp.jcajce

## Class JcaPGPSecretKeyRingCollection

- java.lang.Object
- - org.bouncycastle.openpgp.PGPSecretKeyRingCollection
  - - org.bouncycastle.openpgp.jcajce.JcaPGPSecretKeyRingCollection

- All Implemented Interfaces:
    java.lang.Iterable<PGPSecretKeyRing>

      public class JcaPGPSecretKeyRingCollection
      extends PGPSecretKeyRingCollection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPGPSecretKeyRingCollection(byte[] encoding)`
    `JcaPGPSecretKeyRingCollection(java.util.Collection collection)`
    `JcaPGPSecretKeyRingCollection(java.io.InputStream in)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.openpgp.PGPSecretKeyRingCollection

      `addSecretKeyRing, contains, encode, getEncoded, getKeyRings, getKeyRings, getKeyRings, getKeyRings, getSecretKey, getSecretKeyRing, iterator, removeSecretKeyRing, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPGPSecretKeyRingCollection

          public JcaPGPSecretKeyRingCollection(byte[] encoding)
                                        throws java.io.IOException,
                                               PGPException

      Throws:
        `java.io.IOException`
        `PGPException`

    - #### JcaPGPSecretKeyRingCollection

          public JcaPGPSecretKeyRingCollection(java.io.InputStream in)
                                        throws java.io.IOException,
                                               PGPException

      Throws:
        `java.io.IOException`
        `PGPException`

    - #### JcaPGPSecretKeyRingCollection

          public JcaPGPSecretKeyRingCollection(java.util.Collection collection)
                                        throws java.io.IOException,
                                               PGPException

      Throws:
        `java.io.IOException`
        `PGPException`